[Solved] Could not download all repository indexes

Archived topics about LMDE 1 and LMDE 2
Locked
jr121705
Level 2
Level 2
Posts: 73
Joined: Mon May 13, 2013 8:05 am

[Solved] Could not download all repository indexes

Post by jr121705 »

I have a new installation of LMDE and I updated it to Libreoffice 4.1. Since then I am getting the following error in my Update Manager:

Could not download all repository indexes

The repository may no longer be available or could not be contacted because of network problems. If available an older version of the failed index will be used. Otherwise the repository will be ignored. Check your network connection and ensure the repository address in the preferences is correct.


Failed to fetch http://ppa.launchpad.net/libreoffice/ppa/ubuntu/dists/debian/main/source/Sources 404 Not Found
Failed to fetch http://ppa.launchpad.net/libreoffice/ppa/ubuntu/dists/debian/main/binary-amd64/Packages 404 Not Found
Failed to fetch http://ppa.launchpad.net/libreoffice/ppa/ubuntu/dists/debian/main/binary-i386/Packages 404 Not Found
Some index files failed to download. They have been ignored, or old ones used instead.

What can I do to fix this?
Last edited by jr121705 on Wed Aug 28, 2013 9:38 am, edited 1 time in total.
zerozero
Level 16
Level 16
Posts: 6477
Joined: Tue Jul 07, 2009 2:29 pm

Re: Could not download all repository indexes

Post by zerozero »

remove the ppa you added;
first you shouldn't be using ubuntu ppa's in a debian based distro; second there's no debian release at launchpad, that's why the repo is giving you a 404.
Image

[ bliss of ignorance ]
jr121705
Level 2
Level 2
Posts: 73
Joined: Mon May 13, 2013 8:05 am

Re: Could not download all repository indexes

Post by jr121705 »

zerozero wrote:remove the ppa you added;
first you shouldn't be using ubuntu ppa's in a debian based distro; second there's no debian release at launchpad, that's why the repo is giving you a 404.

Okay, will do. However, I am new to Linux and I don't know how to go back to the original install. Is there anyway that I can install a newer version of Libreoffice without messing things up?

I am also wondering why this happened here because I installed 4.1 on my laptop and don't have any problems (at least that I can see at this point). My laptop is running Mate but my home computer has Cinnamon.
jr121705
Level 2
Level 2
Posts: 73
Joined: Mon May 13, 2013 8:05 am

Re: Could not download all repository indexes

Post by jr121705 »

jr121705 wrote:
Okay, will do. However, I am new to Linux and I don't know how to go back to the original install. Is there anyway that I can install a newer version of Libreoffice without messing things up?

I am also wondering why this happened here because I installed 4.1 on my laptop and don't have any problems (at least that I can see at this point). My laptop is running Mate but my home computer has Cinnamon.

I am an idiot. I didn't realize that all I had to do was go into Update Manager and remove the ppa to Ubuntu. I did it and now it is fixed.
Tim_Olaguna
Level 1
Level 1
Posts: 17
Joined: Mon Nov 03, 2008 2:58 pm
Location: Sacramento, California, USA

Re: [Solved] Could not download all repository indexes

Post by Tim_Olaguna »

Thanks so much for these posts. They helped me to clean out some things and fix some problems as well. :)
Cheerily Yours,
Tim O'Laguna
Locked

Return to “LMDE Archive”